@import "variables/colors";
@import "variables/font";
@import "mixins/transitions";

.bg-upload {
  position: relative;
}

label {
  font-size: 14px;
  font-family: $roboto-regular;
}

.upload-grid {
  display: flex;
  flex-wrap: nowrap;
  gap: 10px;
  &.direction-column {
    flex-direction: column;
  }
  &.direction-row {
    flex-direction: row;
  }
}

.box-drag {
  background-color: #fff;
  border: 2px dashed $main-indigo-60;
  padding: 50px;
  text-align: center;
  font-size: 12px;
  font-family: $roboto-regular;
  color: $neutral-70;
  border-radius: 5px;
  @include transition(background-color 1s ease-out);
  &.dragged {
    background-color: $neutral-50;
  }
  i {
    display: block;
    font-size: 25px;
    color: $main-indigo-10;
    margin-bottom: 15px;
  }
  label {
    font-size: 12px;
    font-family: $roboto-medium;
    text-decoration: underline;
    color: rgba(36, 98, 231, 0.952);
    cursor: pointer;
  }
}

input {
  opacity: 0;
  position: absolute;
  z-index: 9;
  width: 60%;
  height: 115%;
  top: -40%;
  left: -15%;
}

.info-component {
  margin-top: 3px;
  margin-bottom: 3px;
  font-size: 12px;
  color: $neutral-50;
  span {
    &.error-info {
      color: $error-60;
    }
  }
}

.section-a {
  &.direction-row {
    margin-right: 10px;
    width: 45%;
  }
  &.direction-column {
    margin-bottom: 10px;
  }
}

.box-file-icon {
  background-color: $neutral-10;
  border-radius: 2px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  -ms-border-radius: 2px;
  -o-border-radius: 2px;
  text-align: center;
  width: 50px;
  height: 50px;
  font-size: 30px;
  line-height: 50px;
}

.file-info {
  h3 {
    font-size: 14px;
    color: $main-indigo-80;
    font-family: $roboto-medium;
    margin: 0;
    line-height: 16px;
  }
  p {
    font-size: 12px;
    color: $main-indigo-60;
    margin: 0;
    padding: 0;
  }
  margin-bottom: 8px;
  width: 100%;
  min-width: 220px;
}

.file-info-container {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

.detail-box {
  margin-left: 12px;
}

.icon-trash {
  color: $error-60;
  background: $error-10;
  border-radius: 50%;
  padding: 6px 10px;
  margin: 5px 20px;
  width: fit-content;
  height: fit-content;
  cursor: pointer;
}
